/* Kenton Varda's C++ framework code.
 * Copyright (C) 2002-2005 Kenton Varda
 * <temporal@gauge3d.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

// ===================================================================

/* Revision History:
 * 2004/04/10 (KV)
 *  + First Version
 */

// ===================================================================

#ifndef framework_internal_win32_SystemImpl_h__INCLUDED__
#define framework_internal_win32_SystemImpl_h__INCLUDED__

#include <framework/FrontEnd.h>

namespace framework {
namespace internal {
namespace win32 {
using namespace ::framework::common;

// ===================================================================
// AUTHOR (KV): Created module.
// TODO (KV): Document framework::internal::win32::SystemImpl
// TODO (KV): Test framework::internal::win32::SystemImpl

void startSystem(FrontEndPtr frontEnd,
                 FrontEnd::StartupInfo startupInfo,
                 String programName, String executablePath);

// ===================================================================

} //namespace win32
} //namespace internal
} //namespace framework

#endif //included
