/* Kenton Varda's C++ framework code.
 * Copyright (C) 2002-2005 Kenton Varda
 * <temporal@gauge3d.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

// ===================================================================

/* Revision History:
 * 2003/05/21 (KV)
 *  + First Version
 */

// ===================================================================

#include "MessageReceiver.h"

namespace framework {
namespace messages {

// ===================================================================
// AUTHOR (KV): Created module.

MessageReceiver::MessageReceiver()
{
   mWeakLink = spnew MessageReceiver*;
   *mWeakLink = this;
}

MessageReceiver::~MessageReceiver()
{
   //Prevent further messages from being sent to this object.
   *mWeakLink = null;
}

// ===================================================================

} //namespace messages
} //namespace framework
